package com.sun.org.apache.xml.internal.resolver.helpers;

import org.w3c.dom.Node;
import org.w3c.dom.Element;

public class Namespaces
{
    public Namespaces() {
    }
    
    public static String getPrefix(Element element) {
        String name = element.getTagName();
        String prefix = "";
        int indexOfColon = name.indexOf(58);
        if (indexOfColon > 0) {
            prefix = name.substring(0, indexOfColon);
            return prefix;
        }
        return prefix;
    }
    
    public static String getLocalName(Element element) {
        String name = element.getTagName();
        int indexOfColon = name.indexOf(58);
        if (indexOfColon > 0) {
            name = name.substring(indexOfColon + 1);
            return name;
        }
        return name;
    }
    
    public static String getNamespaceURI(Node node, String prefix) {
        if (node == null || node.getNodeType() != 1) {
            return null;
        }
        if (prefix.length() == 0) {
            if (((Element)node).hasAttribute("xmlns")) {
                return ((Element)node).getAttribute("xmlns");
            }
        }
        else {
            String nsattr = "xmlns:" + prefix;
            if (((Element)node).hasAttribute(nsattr)) {
                return ((Element)node).getAttribute(nsattr);
            }
        }
        return getNamespaceURI(node.getParentNode(), prefix);
    }
    
    public static String getNamespaceURI(Element element) {
        String prefix = getPrefix(element);
        return getNamespaceURI(element, prefix);
    }
}
